package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.TicketBean;
import com.wd.workoffice.bean.mesBean.UserDataBean;

import org.greenrobot.greendao.annotation.Id;

import java.util.List;

import flexible.xd.android_base.utils.TimeUtils;

/**
 * Created by flexible on 2018/8/13.
 */

public class MesUserDataAdapter extends BaseQuickAdapter<UserDataBean.ListBean, BaseViewHolder> {

    public MesUserDataAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, UserDataBean.ListBean item) {
        helper.setText(R.id.tv_time, item.getApprovalDateTime());
        helper.setText(R.id.tv_client, item.getCustomerUserName());
        helper.setText(R.id.tv_factory, item.getSalesManagerName());
        helper.setText(R.id.tv_machine, item.getContinuousCasterName());
        helper.setText(R.id.tv_status, item.getApprovalStatus() + "");
    }
}

